# TdApi.InputChatPhoto (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputChatPhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputChatPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputChatPhoto

Direct Known Subclasses:
  `TdApi.InputChatPhotoAnimation`, `TdApi.InputChatPhotoPrevious`, `TdApi.InputChatPhotoStatic`, `TdApi.InputChatPhotoSticker`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputChatPhoto extends TdApi.Object permits TdApi.InputChatPhotoPrevious, TdApi.InputChatPhotoStatic, TdApi.InputChatPhotoAnimation, TdApi.InputChatPhotoSticker
This class is an abstract base class. Describes a photo to be set as a user profile or chat photo.

## Constructor Summary

Constructors
Constructor
Description
`InputChatPhoto()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputChatPhoto

public InputChatPhoto()
Default class constructor.